[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[lvm-devel] LVM2/test test-utils.sh



CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall sourceware org	2010-04-14 12:04:24

Modified files:
	test           : test-utils.sh 

Log message:
	SIGTERM testing clvmd before SIGKILL-ing it.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/test-utils.sh.diff?cvsroot=lvm2&r1=1.36&r2=1.37

--- LVM2/test/test-utils.sh	2010/04/13 08:01:53	1.36
+++ LVM2/test/test-utils.sh	2010/04/14 12:04:23	1.37
@@ -96,7 +96,11 @@
 	echo $LOOP
 	echo $PREFIX
 
-	test -n "$LOCAL_CLVMD" && kill -9 "$LOCAL_CLVMD"
+	test -n "$LOCAL_CLVMD" && {
+		kill "$LOCAL_CLVMD"
+		sleep .1
+		kill -9 "$LOCAL_CLVMD" || true
+	}
 
 	test -n "$PREFIX" && {
 		rm -rf $TESTDIR/dev/$PREFIX*


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]